import ldap
import threading

class LDAPConnection:
	def __init__(self, ldapConn, lock, bounddn, host, port, boundas):
		self.ldapConn = ldapConn
		self.lock = lock
		self.bounddn = bounddn
		self.host = host
		self.port = port
		self.boundas = boundas


	def init(self):
		try:
			self.ldapConn = ldap.open(self.host, self.port)
			
		except:
			import traceback
			traceback.print_exc()
			self.ldapConn = None


